diff --git c/scala/util/parsing/combinator/token/StdTokens$Keyword.class w/scala/util/parsing/combinator/token/StdTokens$Keyword.class
index dcb9791ae0..ad3706bf15 100644
--- c/scala/util/parsing/combinator/token/StdTokens$Keyword.class
+++ w/scala/util/parsing/combinator/token/StdTokens$Keyword.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tok
 public #= # of #; //Keyword=class scala/util/parsing/combinator/token/StdTokens$Keyword of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "StdTokens.scala"
-public class scala.util.parsing.combinator.token.StdTokens$Keyword extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.token.StdTokens$Keyword extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 private final java.lang.String chars;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/token/StdTokens$NumericLit.class w/scala/util/parsing/combinator/token/StdTokens$NumericLit.class
index b6f4a0dc6e..6201b402ab 100644
--- c/scala/util/parsing/combinator/token/StdTokens$NumericLit.class
+++ w/scala/util/parsing/combinator/token/StdTokens$NumericLit.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tok
 public #= # of #; //NumericLit=class scala/util/parsing/combinator/token/StdTokens$NumericLit of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "StdTokens.scala"
-public class scala.util.parsing.combinator.token.StdTokens$NumericLit extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.token.StdTokens$NumericLit extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 private final java.lang.String chars;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/token/StdTokens$StringLit.class w/scala/util/parsing/combinator/token/StdTokens$StringLit.class
index 5364deab8d..9aa99275af 100644
--- c/scala/util/parsing/combinator/token/StdTokens$StringLit.class
+++ w/scala/util/parsing/combinator/token/StdTokens$StringLit.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tok
 public #= # of #; //StringLit=class scala/util/parsing/combinator/token/StdTokens$StringLit of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "StdTokens.scala"
-public class scala.util.parsing.combinator.token.StdTokens$StringLit extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.token.StdTokens$StringLit extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 private final java.lang.String chars;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/token/StdTokens.class w/scala/util/parsing/combinator/token/StdTokens.class
index 8be48ac12c..2bca2e7666 100644
--- c/scala/util/parsing/combinator/token/StdTokens.class
+++ w/scala/util/parsing/combinator/token/StdTokens.class
@@ -9,7 +9,7 @@ public #= # of #; //NumericLit=class scala/util/parsing/combinator/token/StdToke
 public #= # of #; //Identifier=class scala/util/parsing/combinator/token/StdTokens$Identifier of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "StdTokens.scala"
-public interface scala.util.parsing.combinator.token.StdTokens extends scala.util.parsing.combinator.token.Tokens,scala.ScalaObject{
+public interface scala.util.parsing.combinator.token.StdTokens extends scala.util.parsing.combinator.token.Tokens{
 public abstract scala.util.parsing.combinator.token.StdTokens$Keyword$ Keyword();
   Signature: ()Lscala/util/parsing/combinator/token/StdTokens$Keyword$;
 
diff --git c/scala/util/parsing/combinator/token/Tokens$EOF$.class w/scala/util/parsing/combinator/token/Tokens$EOF$.class
index 99ab366ab4..5d64071365 100644
--- c/scala/util/parsing/combinator/token/Tokens$EOF$.class
+++ w/scala/util/parsing/combinator/token/Tokens$EOF$.class
@@ -3,7 +3,7 @@ public final #= # of #; //EOF$=class scala/util/parsing/combinator/token/Tokens$
 public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tokens$Token of class scala/util/parsing/combinator/token/Tokens
 
 Compiled from "Tokens.scala"
-public final class scala.util.parsing.combinator.token.Tokens$EOF$ extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.parsing.combinator.token.Tokens$EOF$ extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 public java.lang.String chars();
   Signature: ()Ljava/lang/String;
   Code:
diff --git c/scala/util/parsing/combinator/token/Tokens$ErrorToken.class w/scala/util/parsing/combinator/token/Tokens$ErrorToken.class
index a848f19a17..64508df3ce 100644
--- c/scala/util/parsing/combinator/token/Tokens$ErrorToken.class
+++ w/scala/util/parsing/combinator/token/Tokens$ErrorToken.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tok
 public #= # of #; //ErrorToken=class scala/util/parsing/combinator/token/Tokens$ErrorToken of class scala/util/parsing/combinator/token/Tokens
 
 Compiled from "Tokens.scala"
-public class scala.util.parsing.combinator.token.Tokens$ErrorToken extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.token.Tokens$ErrorToken extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 private final java.lang.String msg;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/input/NoPosition$.class w/scala/util/parsing/input/NoPosition$.class
index ac6a484df7..cf78d871aa 100644
--- c/scala/util/parsing/input/NoPosition$.class
+++ w/scala/util/parsing/input/NoPosition$.class
@@ -1,6 +1,6 @@
 
 Compiled from "NoPosition.scala"
-public final class scala.util.parsing.input.NoPosition$ extends java.lang.Object implements scala.util.parsing.input.Position,scala.ScalaObject{
+public final class scala.util.parsing.input.NoPosition$ extends java.lang.Object implements scala.util.parsing.input.Position{
 public static final scala.util.parsing.input.NoPosition$ MODULE$;
   Signature: Lscala/util/parsing/input/NoPosition$;
 
diff --git c/scala/util/parsing/input/OffsetPosition.class w/scala/util/parsing/input/OffsetPosition.class
index 3708f1589b..3a15e26f58 100644
--- c/scala/util/parsing/input/OffsetPosition.class
+++ w/scala/util/parsing/input/OffsetPosition.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "OffsetPosition.scala"
-public class scala.util.parsing.input.OffsetPosition extends java.lang.Object implements scala.util.parsing.input.Position,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.input.OffsetPosition extends java.lang.Object implements scala.util.parsing.input.Position,scala.Product,scala.Serializable{
 private final java.lang.CharSequence source;
   Signature: Ljava/lang/CharSequence;
 
diff --git c/scala/util/parsing/json/JSONArray.class w/scala/util/parsing/json/JSONArray.class
index 04ff86ae5f..bd814b21e6 100644
--- c/scala/util/parsing/json/JSONArray.class
+++ w/scala/util/parsing/json/JSONArray.class
@@ -1,6 +1,6 @@
 
 Compiled from "Parser.scala"
-public class scala.util.parsing.json.JSONArray extends scala.util.parsing.json.JSONType implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.json.JSONArray extends scala.util.parsing.json.JSONType implements scala.Product,scala.Serializable{
 private final scala.collection.immutable.List list;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/util/parsing/json/JSONObject.class w/scala/util/parsing/json/JSONObject.class
index 93119f8275..ad6e68e3bd 100644
--- c/scala/util/parsing/json/JSONObject.class
+++ w/scala/util/parsing/json/JSONObject.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Parser.scala"
-public class scala.util.parsing.json.JSONObject extends scala.util.parsing.json.JSONType implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.json.JSONObject extends scala.util.parsing.json.JSONType implements scala.Product,scala.Serializable{
 private final scala.collection.immutable.Map obj;
   Signature: Lscala/collection/immutable/Map;
 
diff --git c/scala/util/parsing/json/Lexer.class w/scala/util/parsing/json/Lexer.class
index ff13f74707..baa594f24d 100644
--- c/scala/util/parsing/json/Lexer.class
+++ w/scala/util/parsing/json/Lexer.class
@@ -6,7 +6,7 @@ public #= # of #; //ErrorToken=class scala/util/parsing/combinator/token/Tokens$
 public final #= # of #; //StringLit$=class scala/util/parsing/combinator/token/StdTokens$StringLit$ of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "Lexer.scala"
-public class scala.util.parsing.json.Lexer extends scala.util.parsing.combinator.lexical.StdLexical implements scala.util.parsing.combinator.ImplicitConversions,scala.ScalaObject{
+public class scala.util.parsing.json.Lexer extends scala.util.parsing.combinator.lexical.StdLexical implements scala.util.parsing.combinator.ImplicitConversions{
 private final scala.collection.immutable.Set hexDigits;
   Signature: Lscala/collection/immutable/Set;
 
diff --git c/scala/util/parsing/json/Parser.class w/scala/util/parsing/json/Parser.class
index 9ac8d62ee5..e235a6aad4 100644
--- c/scala/util/parsing/json/Parser.class
+++ w/scala/util/parsing/json/Parser.class
@@ -9,7 +9,7 @@ public final #= # of #; //NoSuccess$=class scala/util/parsing/combinator/Parsers
 public abstract #= # of #; //OnceParser=class scala/util/parsing/combinator/Parsers$OnceParser of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parser.scala"
-public class scala.util.parsing.json.Parser extends java.lang.Object implements scala.util.parsing.combinator.syntactical.StdTokenParsers,scala.util.parsing.combinator.ImplicitConversions,scala.ScalaObject{
+public class scala.util.parsing.json.Parser extends java.lang.Object implements scala.util.parsing.combinator.syntactical.StdTokenParsers,scala.util.parsing.combinator.ImplicitConversions{
 private final scala.util.parsing.json.Lexer lexical;
   Signature: Lscala/util/parsing/json/Lexer;
 
diff --git c/scala/util/regexp/Base$Eps$.class w/scala/util/regexp/Base$Eps$.class
index 48e831a542..a515d4b206 100644
--- c/scala/util/regexp/Base$Eps$.class
+++ w/scala/util/regexp/Base$Eps$.class
@@ -3,7 +3,7 @@ public final #= # of #; //Eps$=class scala/util/regexp/Base$Eps$ of class scala/
 public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class scala/util/regexp/Base
 
 Compiled from "Base.scala"
-public final class scala.util.regexp.Base$Eps$ extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.regexp.Base$Eps$ extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final boolean isNullable;
   Signature: Z
 
diff --git c/scala/util/regexp/Base$Star.class w/scala/util/regexp/Base$Star.class
index c49bb40269..8b3c30bb88 100644
--- c/scala/util/regexp/Base$Star.class
+++ w/scala/util/regexp/Base$Star.class
@@ -3,7 +3,7 @@ public #= # of #; //Star=class scala/util/regexp/Base$Star of class scala/util/r
 public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class scala/util/regexp/Base
 
 Compiled from "Base.scala"
-public class scala.util.regexp.Base$Star extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.regexp.Base$Star extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final scala.util.regexp.Base$RegExp r;
   Signature: Lscala/util/regexp/Base$RegExp;
 
diff --git c/scala/util/regexp/PointedHedgeExp$Node.class w/scala/util/regexp/PointedHedgeExp$Node.class
index 404ac7b3db..5f10d6e712 100644
--- c/scala/util/regexp/PointedHedgeExp$Node.class
+++ w/scala/util/regexp/PointedHedgeExp$Node.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class
 public #= # of #; //Node=class scala/util/regexp/PointedHedgeExp$Node of class scala/util/regexp/PointedHedgeExp
 
 Compiled from "PointedHedgeExp.scala"
-public class scala.util.regexp.PointedHedgeExp$Node extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.regexp.PointedHedgeExp$Node extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final java.lang.Object label;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/util/regexp/PointedHedgeExp$Point$.class w/scala/util/regexp/PointedHedgeExp$Point$.class
index 515ed95ffe..10f4b14958 100644
--- c/scala/util/regexp/PointedHedgeExp$Point$.class
+++ w/scala/util/regexp/PointedHedgeExp$Point$.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class
 public final #= # of #; //Point$=class scala/util/regexp/PointedHedgeExp$Point$ of class scala/util/regexp/PointedHedgeExp
 
 Compiled from "PointedHedgeExp.scala"
-public final class scala.util.regexp.PointedHedgeExp$Point$ extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.regexp.PointedHedgeExp$Point$ extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final boolean isNullable;
   Signature: Z
 
diff --git c/scala/util/regexp/PointedHedgeExp$TopIter.class w/scala/util/regexp/PointedHedgeExp$TopIter.class
index 834b526f73..c72a3f524c 100644
--- c/scala/util/regexp/PointedHedgeExp$TopIter.class
+++ w/scala/util/regexp/PointedHedgeExp$TopIter.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class
 public #= # of #; //TopIter=class scala/util/regexp/PointedHedgeExp$TopIter of class scala/util/regexp/PointedHedgeExp
 
 Compiled from "PointedHedgeExp.scala"
-public class scala.util.regexp.PointedHedgeExp$TopIter extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.regexp.PointedHedgeExp$TopIter extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final scala.util.regexp.Base$RegExp r1;
   Signature: Lscala/util/regexp/Base$RegExp;
 
diff --git c/scala/util/regexp/WordExp$Letter.class w/scala/util/regexp/WordExp$Letter.class
index d58730058c..3ae4372a7e 100644
--- c/scala/util/regexp/WordExp$Letter.class
+++ w/scala/util/regexp/WordExp$Letter.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Label=class scala/util/regexp/WordExp$Label of clas
 public #= # of #; //Letter=class scala/util/regexp/WordExp$Letter of class scala/util/regexp/WordExp
 
 Compiled from "WordExp.scala"
-public class scala.util.regexp.WordExp$Letter extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.regexp.WordExp$Letter extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final scala.util.regexp.WordExp$Label a;
   Signature: Lscala/util/regexp/WordExp$Label;
 
diff --git c/scala/util/regexp/WordExp$Wildcard.class w/scala/util/regexp/WordExp$Wildcard.class
index 17e4184c10..585be3379c 100644
--- c/scala/util/regexp/WordExp$Wildcard.class
+++ w/scala/util/regexp/WordExp$Wildcard.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class
 public #= # of #; //Wildcard=class scala/util/regexp/WordExp$Wildcard of class scala/util/regexp/WordExp
 
 Compiled from "WordExp.scala"
-public class scala.util.regexp.WordExp$Wildcard extends scala.util.regexp.Base$RegExp implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.regexp.WordExp$Wildcard extends scala.util.regexp.Base$RegExp implements scala.Product,scala.Serializable{
 private final boolean isNullable;
   Signature: Z
 
diff --git c/scala/xml/Comment.class w/scala/xml/Comment.class
index 71c0eb47f5..727d2e2cfc 100644
--- c/scala/xml/Comment.class
+++ w/scala/xml/Comment.class
@@ -1,6 +1,6 @@
 
 Compiled from "Comment.scala"
-public class scala.xml.Comment extends scala.xml.SpecialNode implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.Comment extends scala.xml.SpecialNode implements scala.Product,scala.Serializable{
 private final java.lang.String commentText;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/EntityRef.class w/scala/xml/EntityRef.class
index b161eb832c..e418c2aba0 100644
--- c/scala/xml/EntityRef.class
+++ w/scala/xml/EntityRef.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "EntityRef.scala"
-public class scala.xml.EntityRef extends scala.xml.SpecialNode implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.EntityRef extends scala.xml.SpecialNode implements scala.Product,scala.Serializable{
 private final java.lang.String entityName;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/Group.class w/scala/xml/Group.class
index 676804a26c..e26ee333e4 100644
--- c/scala/xml/Group.class
+++ w/scala/xml/Group.class
@@ -1,6 +1,6 @@
 
 Compiled from "Group.scala"
-public final class scala.xml.Group extends scala.xml.Node implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.Group extends scala.xml.Node implements scala.Product,scala.Serializable{
 private final scala.collection.Seq nodes;
   Signature: Lscala/collection/Seq;
 
diff --git c/scala/xml/MalformedAttributeException.class w/scala/xml/MalformedAttributeException.class
index dd387e89d6..d02ccf4786 100644
--- c/scala/xml/MalformedAttributeException.class
+++ w/scala/xml/MalformedAttributeException.class
@@ -1,6 +1,6 @@
 
 Compiled from "MalformedAttributeException.scala"
-public class scala.xml.MalformedAttributeException extends java.lang.RuntimeException implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.MalformedAttributeException extends java.lang.RuntimeException implements scala.Product,scala.Serializable{
 private final java.lang.String msg;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/MetaData.class w/scala/xml/MetaData.class
index 5106b4d0f4..22f866641b 100644
--- c/scala/xml/MetaData.class
+++ w/scala/xml/MetaData.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "MetaData.scala"
-public abstract class scala.xml.MetaData extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.xml.Equality,scala.Serializable,scala.ScalaObject{
+public abstract class scala.xml.MetaData extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.xml.Equality,scala.Serializable{
 public static scala.xml.MetaData update(scala.xml.MetaData, scala.xml.NamespaceBinding, scala.xml.MetaData);
   Signature: (Lscala/xml/MetaData;Lscala/xml/NamespaceBinding;Lscala/xml/MetaData;)Lscala/xml/MetaData;
   Code:
diff --git c/scala/xml/NamespaceBinding.class w/scala/xml/NamespaceBinding.class
index 2d0fe35b16..aac8071308 100644
--- c/scala/xml/NamespaceBinding.class
+++ w/scala/xml/NamespaceBinding.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "NamespaceBinding.scala"
-public class scala.xml.NamespaceBinding extends java.lang.Object implements scala.xml.Equality,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.NamespaceBinding extends java.lang.Object implements scala.xml.Equality,scala.Product,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/xml/NodeSeq.class w/scala/xml/NodeSeq.class
index be06c28d1f..26cd9a299e 100644
--- c/scala/xml/NodeSeq.class
+++ w/scala/xml/NodeSeq.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "NodeSeq.scala"
-public abstract class scala.xml.NodeSeq extends scala.collection.AbstractSeq implements scala.collection.immutable.Seq,scala.collection.SeqLike,scala.xml.Equality,scala.ScalaObject{
+public abstract class scala.xml.NodeSeq extends scala.collection.AbstractSeq implements scala.collection.immutable.Seq,scala.xml.Equality{
 public static scala.xml.NodeSeq seqToNodeSeq(scala.collection.Seq);
   Signature: (Lscala/collection/Seq;)Lscala/xml/NodeSeq;
   Code:
diff --git c/scala/xml/Null$.class w/scala/xml/Null$.class
index 4a6c207a1c..2e7704fbb6 100644
--- c/scala/xml/Null$.class
+++ w/scala/xml/Null$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Null.scala"
-public final class scala.xml.Null$ extends scala.xml.MetaData implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.Null$ extends scala.xml.MetaData implements scala.Product,scala.Serializable{
 public static final scala.xml.Null$ MODULE$;
   Signature: Lscala/xml/Null$;
 
diff --git c/scala/xml/PrefixedAttribute.class w/scala/xml/PrefixedAttribute.class
index bd69011112..02c8c58b9d 100644
--- c/scala/xml/PrefixedAttribute.class
+++ w/scala/xml/PrefixedAttribute.class
@@ -1,6 +1,6 @@
 
 Compiled from "PrefixedAttribute.scala"
-public class scala.xml.PrefixedAttribute extends scala.xml.MetaData implements scala.xml.Attribute,scala.ScalaObject{
+public class scala.xml.PrefixedAttribute extends scala.xml.MetaData implements scala.xml.Attribute{
 private final java.lang.String pre;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/PrettyPrinter$Box.class w/scala/xml/PrettyPrinter$Box.class
index f2942dcaf3..be76ea35aa 100644
--- c/scala/xml/PrettyPrinter$Box.class
+++ w/scala/xml/PrettyPrinter$Box.class
@@ -3,7 +3,7 @@ public #= # of #; //Box=class scala/xml/PrettyPrinter$Box of class scala/xml/Pre
 public #= # of #; //Item=class scala/xml/PrettyPrinter$Item of class scala/xml/PrettyPrinter
 
 Compiled from "PrettyPrinter.scala"
-public class scala.xml.PrettyPrinter$Box extends scala.xml.PrettyPrinter$Item implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.PrettyPrinter$Box extends scala.xml.PrettyPrinter$Item implements scala.Product,scala.Serializable{
 private final int col;
   Signature: I
 
diff --git c/scala/xml/PrettyPrinter$Break$.class w/scala/xml/PrettyPrinter$Break$.class
index 83e28c91d6..799a1363ed 100644
--- c/scala/xml/PrettyPrinter$Break$.class
+++ w/scala/xml/PrettyPrinter$Break$.class
@@ -3,7 +3,7 @@ public #= # of #; //Item=class scala/xml/PrettyPrinter$Item of class scala/xml/P
 public final #= # of #; //Break$=class scala/xml/PrettyPrinter$Break$ of class scala/xml/PrettyPrinter
 
 Compiled from "PrettyPrinter.scala"
-public final class scala.xml.PrettyPrinter$Break$ extends scala.xml.PrettyPrinter$Item implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.PrettyPrinter$Break$ extends scala.xml.PrettyPrinter$Item implements scala.Product,scala.Serializable{
 public java.lang.String toString();
   Signature: ()Ljava/lang/String;
   Code:
diff --git c/scala/xml/PrettyPrinter$Para.class w/scala/xml/PrettyPrinter$Para.class
index 0a7b6fcce8..b36d42231a 100644
--- c/scala/xml/PrettyPrinter$Para.class
+++ w/scala/xml/PrettyPrinter$Para.class
@@ -3,7 +3,7 @@ public #= # of #; //Para=class scala/xml/PrettyPrinter$Para of class scala/xml/P
 public #= # of #; //Item=class scala/xml/PrettyPrinter$Item of class scala/xml/PrettyPrinter
 
 Compiled from "PrettyPrinter.scala"
-public class scala.xml.PrettyPrinter$Para extends scala.xml.PrettyPrinter$Item implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.PrettyPrinter$Para extends scala.xml.PrettyPrinter$Item implements scala.Product,scala.Serializable{
 private final java.lang.String s;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/ProcInstr.class w/scala/xml/ProcInstr.class
index 4b0f57ed85..b0ba4ac998 100644
--- c/scala/xml/ProcInstr.class
+++ w/scala/xml/ProcInstr.class
@@ -1,6 +1,6 @@
 
 Compiled from "ProcInstr.scala"
-public class scala.xml.ProcInstr extends scala.xml.SpecialNode implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.ProcInstr extends scala.xml.SpecialNode implements scala.Product,scala.Serializable{
 private final java.lang.String target;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/UnprefixedAttribute.class w/scala/xml/UnprefixedAttribute.class
index 22a3281b76..fff5d99f80 100644
--- c/scala/xml/UnprefixedAttribute.class
+++ w/scala/xml/UnprefixedAttribute.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "UnprefixedAttribute.scala"
-public class scala.xml.UnprefixedAttribute extends scala.xml.MetaData implements scala.xml.Attribute,scala.ScalaObject{
+public class scala.xml.UnprefixedAttribute extends scala.xml.MetaData implements scala.xml.Attribute{
 private final java.lang.String key;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/Utility$.class w/scala/xml/Utility$.class
index 1e0ddcbfeb..89c45b1935 100644
--- c/scala/xml/Utility$.class
+++ w/scala/xml/Utility$.class
@@ -3,7 +3,7 @@ public final #= # of #; //Escapes$=class scala/xml/Utility$Escapes$ of class sca
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Utility.scala"
-public final class scala.xml.Utility$ extends java.lang.Object implements scala.xml.parsing.TokenTests,scala.ScalaObject{
+public final class scala.xml.Utility$ extends java.lang.Object implements scala.xml.parsing.TokenTests{
 public static final scala.xml.Utility$ MODULE$;
   Signature: Lscala/xml/Utility$;
 
diff --git c/scala/xml/XML$.class w/scala/xml/XML$.class
index ae0cfdab10..1ce1fae4a9 100644
--- c/scala/xml/XML$.class
+++ w/scala/xml/XML$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Catch=class scala/util/control/Exception$Catch of class scala/util/control/Exception
 
 Compiled from "XML.scala"
-public final class scala.xml.XML$ extends java.lang.Object implements scala.xml.factory.XMLLoader,scala.ScalaObject{
+public final class scala.xml.XML$ extends java.lang.Object implements scala.xml.factory.XMLLoader{
 public static final scala.xml.XML$ MODULE$;
   Signature: Lscala/xml/XML$;
 
diff --git c/scala/xml/dtd/ANY$.class w/scala/xml/dtd/ANY$.class
index 2d3848dede..05feea08ab 100644
--- c/scala/xml/dtd/ANY$.class
+++ w/scala/xml/dtd/ANY$.class
@@ -1,6 +1,6 @@
 
 Compiled from "ContentModel.scala"
-public final class scala.xml.dtd.ANY$ extends scala.xml.dtd.ContentModel implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.dtd.ANY$ extends scala.xml.dtd.ContentModel implements scala.Product,scala.Serializable{
 public static final scala.xml.dtd.ANY$ MODULE$;
   Signature: Lscala/xml/dtd/ANY$;
 
diff --git c/scala/xml/dtd/AttListDecl.class w/scala/xml/dtd/AttListDecl.class
index 15f798793f..908b7e8c8d 100644
--- c/scala/xml/dtd/AttListDecl.class
+++ w/scala/xml/dtd/AttListDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.AttListDecl extends scala.xml.dtd.MarkupDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.AttListDecl extends scala.xml.dtd.MarkupDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/AttrDecl.class w/scala/xml/dtd/AttrDecl.class
index 1b49c1aefb..28a4108103 100644
--- c/scala/xml/dtd/AttrDecl.class
+++ w/scala/xml/dtd/AttrDecl.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.AttrDecl extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.AttrDecl extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ContentModel$ElemName.class w/scala/xml/dtd/ContentModel$ElemName.class
index 887edf1c76..46092a49f8 100644
--- c/scala/xml/dtd/ContentModel$ElemName.class
+++ w/scala/xml/dtd/ContentModel$ElemName.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Label=class scala/util/regexp/WordExp$Label of clas
 public #= # of #; //ElemName=class scala/xml/dtd/ContentModel$ElemName of class scala/xml/dtd/ContentModel
 
 Compiled from "ContentModel.scala"
-public class scala.xml.dtd.ContentModel$ElemName extends scala.util.regexp.WordExp$Label implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ContentModel$ElemName extends scala.util.regexp.WordExp$Label implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/DEFAULT.class w/scala/xml/dtd/DEFAULT.class
index cae807b48c..664d4b382d 100644
--- c/scala/xml/dtd/DEFAULT.class
+++ w/scala/xml/dtd/DEFAULT.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.DEFAULT extends scala.xml.dtd.DefaultDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.DEFAULT extends scala.xml.dtd.DefaultDecl implements scala.Product,scala.Serializable{
 private final boolean fixed;
   Signature: Z
 
diff --git c/scala/xml/dtd/DocType.class w/scala/xml/dtd/DocType.class
index d271ab1178..dfc6d30cb5 100644
--- c/scala/xml/dtd/DocType.class
+++ w/scala/xml/dtd/DocType.class
@@ -1,6 +1,6 @@
 
 Compiled from "DocType.scala"
-public class scala.xml.dtd.DocType extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.DocType extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ELEMENTS.class w/scala/xml/dtd/ELEMENTS.class
index 310cbf883a..1703d8768a 100644
--- c/scala/xml/dtd/ELEMENTS.class
+++ w/scala/xml/dtd/ELEMENTS.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class scala/util/regexp/Base
 
 Compiled from "ContentModel.scala"
-public class scala.xml.dtd.ELEMENTS extends scala.xml.dtd.DFAContentModel implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ELEMENTS extends scala.xml.dtd.DFAContentModel implements scala.Product,scala.Serializable{
 private final scala.util.regexp.Base$RegExp r;
   Signature: Lscala/util/regexp/Base$RegExp;
 
diff --git c/scala/xml/dtd/EMPTY$.class w/scala/xml/dtd/EMPTY$.class
index 63c0439dda..04e805918c 100644
--- c/scala/xml/dtd/EMPTY$.class
+++ w/scala/xml/dtd/EMPTY$.class
@@ -1,6 +1,6 @@
 
 Compiled from "ContentModel.scala"
-public final class scala.xml.dtd.EMPTY$ extends scala.xml.dtd.ContentModel implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.dtd.EMPTY$ extends scala.xml.dtd.ContentModel implements scala.Product,scala.Serializable{
 public static final scala.xml.dtd.EMPTY$ MODULE$;
   Signature: Lscala/xml/dtd/EMPTY$;
 
